Bug 904177 - xbean: Requires the whole Eclipse Platform instead of only Equinox
Summary: xbean: Requires the whole Eclipse Platform instead of only Equinox
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xbean
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-25 16:42 UTC by Ali Akcaagac
Modified: 2013-02-16 19:38 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-16 19:38:42 UTC


Attachments (Terms of Use)

Description Ali Akcaagac 2013-01-25 16:42:34 UTC
================================================================================
 Package              Arch   Version                      Repository       Size
================================================================================
Installing:
 freemind             noarch 0.9.0-12.fc18                updates         3.9 M
Installing for dependencies:
 eclipse-ecf-core     noarch 3.5.6-3.fc18                 fedora          326 k
 eclipse-emf-core     noarch 1:2.8.1-6.fc18               updates-testing 1.6 M
 eclipse-equinox-osgi i686   1:4.2.2-0.4.git20121217.fc18 updates-testing 1.3 M
 eclipse-platform     i686   1:4.2.2-0.4.git20121217.fc18 updates-testing  42 M
 eclipse-swt          i686   1:4.2.2-0.4.git20121217.fc18 updates-testing 2.8 M
 groovy               noarch 1.8.7-1.fc18                 fedora          4.7 M
 hawtjni              noarch 1.5-5.fc18                   updates-testing 145 k
 jansi                noarch 1.6-4.fc18                   fedora           39 k
 jansi-native         i686   1.4-1.fc18                   fedora           41 k
 xbean                noarch 3.11.1-3.fc18                fedora          370 k

Transaction Summary
================================================================================
Install  1 Package (+10 Dependent packages)

Total size: 57 M
Total download size: 11 M
Installed size: 70 M

No offense but this is quite overkill. The normal upstream package from sf.net only requires 1/10 of the size that gets pulled in by Fedora 18. I recall that I did not depend on eclipse platform when using freemind in Fedora 17.

The default freemind install is around 7.2 mb while this requires nearly 70 mb including a whole IDE (platform, architecture).

I was wondering why I needed eclipse at all (not to mention that you can't even use it in this condition to create some java projects - besides that I use netbeans). I initially thought this was an overall requirement for the sync-distribution. But this seems not to be the case and only there because the small java jar file named freemind.jar pulls in groovy pulls in eclipse-platform.

Can this be changed in one of the upcoming versions (... and I don't mean Fedora 19 here).

Thanks

Comment 1 hannes 2013-01-31 06:00:57 UTC
Hi,

I was on vacation during the last days and will try to look into this issue in the coming days.

Johannes

Comment 2 hannes 2013-02-02 07:47:57 UTC
I think I identified the dependency chain and asked the other packagers if we could "break" this dep chain. [1]
I'll keep you updated if we make any progress.

Johannes

[1] http://lists.fedoraproject.org/pipermail/java-devel/2013-February/004614.html

Comment 3 Mikolaj Izdebski 2013-02-05 16:06:34 UTC
In Fedora 18 xbean requires whole Eclipse Platform instead of Eclipse Equinox. It was fixed in Fedora 19 in xbean-3.12-3:

* Mon Oct 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.12-3
- Replace eclipse-rcp requires with eclipse-equinox-osgi
- Reenable Equinox

I'll fix xbean package in Fedora 18.

Comment 4 Mikolaj Izdebski 2013-02-05 16:20:40 UTC
Fixed in xbean-3.12-4

Comment 5 Fedora Update System 2013-02-05 23:16:13 UTC
xbean-3.12-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xbean-3.12-4.fc18

Comment 6 Ali Akcaagac 2013-02-11 15:25:37 UTC
Works perfectly. Thank you!

Comment 7 Fedora Update System 2013-02-16 00:55:10 UTC
xbean-3.12-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.